<!DOCTYPE html>
<html lang="fr">
	<head>
		{% include('layout/header.twig') %}
		{% block header %}{% endblock %}
		{% block css %}{% endblock %}

		{%  if app.debug %}
			<style type='text/css'>
				#layerstateinfos {
					display: block;
				}
			</style>
		{% endif %}
	</head>
	<body lang="en-US">
		<div class="container-fluid fill">

			<div class="row fill">

				<div class="modal fade" id="loginModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
					<div class="modal-dialog" role="document">
						<div class="modal-content" id="modal-content"></div>
					</div>
				</div>


				<div id="map" class="" style="width:{{ mapWidth|default(60)}}%;float:left;">
					<div id="basemapslidercontainer">
						<div id="basemapslider"></div>
					</div>
				</div>

				<div id="rightColumn" style="width:{{ (100-mapWidth|default(60)) }}%;height:100%;">

					<div id="menu">
						{% include('map/mapMenu.twig') %}
					</div>

					<div id="errorDiv"></div>


					<div id="layerstateinfos" {% if app.debug != 'true' %} style="display:none;" {% endif %}>
						<div class="text-center">
							<input id="center" value="{{ app['session'].get('default_center')|default(null) }}"/>
							<input id="zoom" value="{{ app['session'].get('default_zoom')|default(null) }}"/>
							<div id="layerstate"></div>
						</div>
					</div>

					<div id="rightContent" class="container-fluid" style="height:92%">


						{% for message in app.session.getFlashBag.get('message') %}
							<div class="alert alert-{{ message.status }}" data-alert="alert">
								{{ message.text }}
								<button type="button" class="close" data-dismiss="alert" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
							</div>
						{% endfor %}


                        <div id="infos"></div>
                        <div id="objet" style="display:none;height:100%;"></div>
						<div id="offline-right-vue-content" style="display:none;"></div>
						<script type="module" crossorigine src="/VueBuild/assets/index.js"></script>
						<link rel="stylesheet" href="/VueBuild/assets/index.css">
                    </div>


				</div>

				<button style="display:none;" id="rightColumnButton" class="btn btn-default btn-lg" onclick="openClose('rightColumn', '{{ (100-mapWidth) }}%', 'map', '{{ mapWidth}}%');hs('rightColumnButton');sendData('width={{ mapWidth}}', '/set-map-width', 'layerstate', null);">
					<span class="glyphicon glyphicon-chevron-left"></span>
				</button>


				<footer class="footer">
					<div class="container-fluid">						
						<div class="text-muted" style="clear:both;">
							{% include('/layout/brand.twig') %}
						</div>
					</div>
				</footer>


			</div>


		</div>
		{% include('layout/footer.twig') %}

		{% block js %}{% endblock %}

	</body>
</html>
